# Documents Index

# Getting Started

  * [Installing the Xamarin.Android SDK](https://developer.xamarin.com/guides/android/getting_started/installation/)
  * [Xamarin.Android Documentation](https://developer.xamarin.com/guides/android/)
  * [Xamarin.Android API Documentation](https://developer.xamarin.com/api/root/MonoAndroid-lib/)


# Project Docs

  * [Submitting Bugs, Feature Requests, and Pull Requests][bugs]
  * [Directory Structure](project-docs/ExploringSources.md)

[bugs]: https://github.com/xamarin/xamarin-android/wiki/Submitting-Bugs,-Feature-Requests,-and-Pull-Requests


# Guides

  * [Build Process](guides/BuildProcess.md)
  * [`.axml` CodeBehind Support](guides/LayoutCodeBehind.md)
  * [MSBuild Best Practices](guides/MSBuildBestPractices.md)
  * [D8 and R8 Integration](guides/D8andR8.md)
  * [Profiling Startup](guides/profiling.md)


# Building from Source

  * [Build System Configuration](building/configuration.md)
  * [Build Dependencies for Linux and macOS](building/unix/dependencies.md)
  * [Building Xamarin.Android on Linux and macOS](building/unix/instructions.md)
  * [Build Dependencies for Windows](building/windows/dependencies.md)
  * [Building Xamarin.Android on Windows](building/windows/instructions.md)


# Development Workflow

  * [How to add support for a new Android API level](workflow/HowToAddNewApiLevel.md)
  * [Using Your Build](workflow/UsingYourBuild.md)
  * [Jenkins Build Artifacts](workflow/JenkinsBuildArtifacts.md)
  * [Development tips and native debugging](workflow/DevelopmentTips.md)
  * [Localization](workflow/Localization.md)


# Coding Guidelines

  * [Mono Coding Guidelines](http://www.mono-project.com/community/contributing/coding-guidelines/)


# Other Information

  * [Wikipedia Entry for Xamarin.Android](https://en.wikipedia.org/wiki/Mono_(software)#Xamarin.Android)
