---
title: Xamarin.Android warning XA0114
description: XA0114 warning code
ms.date: 07/02/2018
---
# Xamarin.Android warning XA0114

## Issue

As of November 1st 2018, any application update uploaded to the Google Play
store needs to target v8.0 (API 26) or above.

## Solution

If you are seeing this warning, you should update the
`$(TargetFrameworkVersion)` of your projects to be v8.0 or above.

If you are not targeting the Google Play store and wish to hide these
warnings, you can make use of the `/warnasmessage:XA0114` command line
switch.  Alternatively, add

```xml
<PropertyGroup>
    <MSBuildWarningsAsMessages>XA0114</MSBuildWarningsAsMessages>
</PropertyGroup>
```

to your *.csproj* file.

[Google Play's target API level requirement](https://developer.android.com/distribute/best-practices/develop/target-sdk)
