---
title: Xamarin.Android warning XA4216
description: XA4216 warning code
ms.date: 02/07/2019
---
# Xamarin.Android warning XA4216

## Example messages

```
warning XA4216: AndroidManifest.xml //uses-sdk/@android:minSdkVersion '15' is less than API-16, this configuration is not supported.
```

## Issue

This warning indicates your application is targeting an API level that
Xamarin.Android does not support.

## Solution

Raise the value of `//uses-sdk/@android:minSdkVersion` or
`//uses-sdk/@android:targetSdkVersion` in *AndroidManifest.xml* to a
higher API level that is supported.
