---
title: Xamarin.Android warning XA4306
description: XA4306 warning code
ms.date: 05/28/2019
---
# Xamarin.Android warning XA4306

## Issue

[d8/r8][r8_source] does not support using custom `multidex.keep` files
if `minSdkVersion` >= 21, e.g. devices where native multidex is
supported. In theses cases, d8/r8 calculates the contents of the main
`classes.dex` without rules specified by developers.

[This change][r8_commit] in d8/r8 appeared in version 1.4.93.

## Solution

Verify you are not declaring any `MultiDexMainDexList` build items.

Consider submitting a [bug][bug] if your application does not function
after removing any `MultiDexMainDexList` items.

[r8_source]: https://r8.googlesource.com/
[r8_commit]: https://r8.googlesource.com/r8/+/0e5c4339df0207a0e38f11438db84b29f328f777%5E%21/
[bug]: https://github.com/xamarin/xamarin-android/wiki/Submitting-Bugs,-Feature-Requests,-and-Pull-Requests
